#include <iostream>
#include <string>

int main() {
    int height;
    std::cin >> height;
    std::string value = std::string();
    for (int count = height - 1; count >= 0; count--) {
        value.clear();
        for (int j = 0; j < count; j++) {
            value.push_back(' ');
        }
        int limit = height * 2 - 1 - count * 2;
        for (int j = 0; j < limit; j++) {
            value.push_back('*');
        }
        for (int j = 0; j < count; j++) {
            value.push_back(' ');
        }
        std::cout << value << '\n';
    }
    for (int count = 1; count < height; count++) {
        value.clear();
        for (int j = 0; j < count; j++) {
            value.push_back(' ');
        }
        int limit = height * 2 - 1 - count * 2;
        for (int j = 0; j < limit; j++) {
            value.push_back('*');
        }
        for (int j = 0; j < count; j++) {
            value.push_back(' ');
        }
        std::cout << value << '\n';
    }
}
